<script type="text/javascript">
	function loadUserProfile(userID) {
		clearForm($('#formUserInfo'));

		let url = 'http://localhost:9392/v1/user/' + userID.toString();
		$.ajax({
            url: url,
            type: 'get',
            dataType: 'json',
            success: function(result) {
            	if (result['profileImg'] === null || typeof(result['profileImg']) === 'undefined') {
            		$('.profile-img').attr('src', '../images/user-black.png');
            	} else {
            		$('.profile-img').attr('src', 'http://localhost:9392/v1/user/' + userID.toString() + '/profileImg');
            	}
                $('.firstname').text(result['firstname']);
                $('.lastname').text(result['lastname']);
                $('.username').text(result['username']);

                $('#userID').val(userID);
                $('#formUserInfo').find('input[name="firstname"]').val(result['firstname']);
                $('#formUserInfo').find('input[name="lastname"]').val(result['lastname']);
                $('#formUserInfo').find('input[name="username"]').val(result['username']);
                $('#formUserInfo').find('input[name="username"]').prop('disabled', true);
                return false;
            }, error: function(e) {
            	console.log('ERROR!!');
                console.log(e);
                return false;
            }
        });
	}

	function getUserID() { 
		return $.ajax({
			url: '../module/get-current-user.php',
			type: 'GET',
			dataType: 'json'
		});
	};

	async function getUserProfileInfo() {
		let userID = await getUserID();
		loadUserProfile(userID);
	}

	$(document).ready(function() {
		$('.sidebar-menu').find('.nav-link.menu-user').parent().addClass('active');

        $('.input-group-password').on('click', function() {
            passwordSetUp($(this).closest('.input-group'));
        });

		getUserProfileInfo();
	});
</script>
<div class="row">
	<div class="col-12 col-md-8 offset-md-2">
		<section class="card">
			<div class="card-body">
				<div class="form-group">
				    <div class="row text-center">
				        <div class="col-md-12">
				            <img class="profile-img" src=""/>
				        </div>
				    </div>
				</div>
				<div class="form-group">
				    <div class="row">
				        <label for="firstname" class="col-md-3 col-xs-12">First Name:</label>
				        <div class="col-md-9 col-xs-12">
				            <label class="firstname"></label>
				        </div>
				    </div>
				</div>
				<div class="form-group">
				    <div class="row">
				        <label for="lastname" class="col-md-3 col-xs-12">Last Name:</label>
				        <div class="col-md-9 col-xs-12">
				            <label class="lastname"></label>
				        </div>
				    </div>
				</div>
				<div class="form-group">
				    <div class="row">
				        <label for="username" class="col-md-3 col-xs-12">Username:</label>
				        <div class="col-md-9 col-xs-12">
				            <label class="username"></label>
				        </div>
				    </div>
				</div>
				<div class="row">
					<label class="col-12 text-end">
						<span style="color: blue;" data-toggle="modal" data-target="#modalUserInfo">Edit you profile.</span>
					</label>
				</div>
			</div>
		</section>
	</div>
</div>